#ifndef BRAINFUCK_H
#define BRAINFUCK_H
#include "common.h"

#define ARRAY 30000

class brainFck{
public:
	brainFck(){};
	~brainFck(){};

	uint8_t run(char *program, char *input, vector<char> &output, uint32_t &outLen);
private:
	uint8_t interpret(uint32_t pos, vector<char> &output, bool first=0);
	uint8_t skipLoop(uint32_t &actPos);

	char *input, *program;
	uint32_t inLen;
	uint8_t array[ARRAY];
	int32_t PSarr;
	uint32_t PSout, PSin;

	uint32_t getInput;
};
#endif
